summaryrefslogtreecommitdiffstats
path: root/source/xap
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-12-13 23:17:13 +0000
committer Eric Hameleers <alien@slackware.com>2019-12-14 08:59:51 +0100
commit7a0a3431974e2df951954597fdf7b0b8f4e13b5f (patch)
treedecf1816acd36f5ec85ab5bbd9be9d3817682673 /source/xap
parent7c3a378a752b9139754ea89ab8e730baf6b271ad (diff)
downloadcurrent-7a0a3431974e2df951954597fdf7b0b8f4e13b5f.tar.gz
current-7a0a3431974e2df951954597fdf7b0b8f4e13b5f.tar.xz
Fri Dec 13 23:17:13 UTC 201920191213231713
x/libXpm-3.5.13-x86_64-1.txz: Upgraded. xap/xlockmore-5.61-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/xap')
-rwxr-xr-xsource/xap/ffmpegthumbnailer/ffmpegthumbnailer.SlackBuild135
-rw-r--r--source/xap/ffmpegthumbnailer/slack-desc19
-rwxr-xr-xsource/xap/xlockmore/xlockmore.SlackBuild3
-rw-r--r--source/xap/xlockmore/xlockmore.gltrackball_init.diff11
4 files changed, 154 insertions, 14 deletions
diff --git a/source/xap/ffmpegthumbnailer/ffmpegthumbnailer.SlackBuild b/source/xap/ffmpegthumbnailer/ffmpegthumbnailer.SlackBuild
new file mode 100755
index 000000000..6bed2b3bc
--- /dev/null
+++ b/source/xap/ffmpegthumbnailer/ffmpegthumbnailer.SlackBuild
@@ -0,0 +1,135 @@
+#!/bin/sh
+
+# Copyright 2007-2009 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2012-2017 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=ffmpegthumbnailer
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+mkdir cmake-build
+cd cmake-build
+ cmake \
+ -DCMAKE_CXX_FLAGS="${SLKCFLAGS}" \
+ -DCMAKE_C_FLAGS="${SLKCFLAGS}" \
+ -DCMAKE_INSTALL_PREFIX="/usr" \
+ -DCMAKE_INSTALL_LIBDIR="lib${LIBDIRSUFFIX}" \
+ -DCMAKE_INSTALL_MANDIR="man" \
+ -DENABLE_GIO="yes" \
+ -DENABLE_THUMBNAILER="yes" \
+ ..
+
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* ChangeLog COPYING* INSTALL* NEWS* README* TODO* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/xap/ffmpegthumbnailer/slack-desc b/source/xap/ffmpegthumbnailer/slack-desc
new file mode 100644
index 000000000..3ff7f2e6c
--- /dev/null
+++ b/source/xap/ffmpegthumbnailer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ffmpegthumbnailer: ffmpegthumbnailer (Lightweight Video Thumbnailer)
+ffmpegthumbnailer:
+ffmpegthumbnailer: FFmpegthumbnailer is a lightweight video thumbnailer that can be
+ffmpegthumbnailer: used by file managers to create thumbnails for your video files.
+ffmpegthumbnailer: The thumbnailer uses ffmpeg to decode frames from the video files,
+ffmpegthumbnailer: so supported videoformats depend on the configuration flags of
+ffmpegthumbnailer: ffmpeg.
+ffmpegthumbnailer:
+ffmpegthumbnailer: Homepage: https://github.com/dirkvdb/ffmpegthumbnailer
+ffmpegthumbnailer:
+ffmpegthumbnailer:
diff --git a/source/xap/xlockmore/xlockmore.SlackBuild b/source/xap/xlockmore/xlockmore.SlackBuild
index e92b19dc7..6e884cf6b 100755
--- a/source/xap/xlockmore/xlockmore.SlackBuild
+++ b/source/xap/xlockmore/xlockmore.SlackBuild
@@ -76,9 +76,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-# Fix a trivial coding bug in 5.60:
-zcat $CWD/xlockmore.gltrackball_init.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
-
zcat $CWD/xlockmore.bitmap.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
mkdir -p $PKG/usr/include/X11/bitmaps
cp $CWD/l-bob.xbm $PKG/usr/include/X11/bitmaps
diff --git a/source/xap/xlockmore/xlockmore.gltrackball_init.diff b/source/xap/xlockmore/xlockmore.gltrackball_init.diff
deleted file mode 100644
index 8aed3ae6e..000000000
--- a/source/xap/xlockmore/xlockmore.gltrackball_init.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./modes/glx/juggler3d.c.orig 2019-09-11 00:06:52.000000000 -0500
-+++ ./modes/glx/juggler3d.c 2019-12-06 15:03:43.465002755 -0600
-@@ -2729,7 +2729,7 @@
- double spin_accel = 0.05;
- sp->rot = make_rotator (0, spin_speed, 0,
- spin_accel, wander_speed, False);
-- sp->trackball = gltrackball_init ();
-+ sp->trackball = gltrackball_init ( 0 );
- }
-
- if (only && *only && strcmp(only, " ")) {